/*
 * AirPlace:  The Airplace Project is an OpenSource Indoor and Outdoor
 * Localization solution using WiFi RSS (Receive Signal Strength).
 * The AirPlace Project consists of three parts:
 *
 *  1) The AirPlace Logger (Ideal for collecting RSS Logs)
 *  2) The AirPlace Server (Ideal for transforming the collected RSS logs
 *  to meaningful RadioMap files)
 *  3) The AirPlace Tracker (Ideal for using the RadioMap files for
 *  indoor localization)
 *
 * It is ideal for spaces where GPS signal is not sufficient.
 *
 * Authors:
 * C. Laoudias, G.Larkou, G. Constantinou, M. Constantinides, S. Nicolaou,
 *
 * Supervisors:
 * D. Zeinalipour-Yazti and C. G. Panayiotou
 *
 * Copyright (c) 2011, KIOS Research Center and Data Management Systems Lab (DMSL),
 * University of Cyprus. All rights reserved.
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * Υou should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

package cy.com.airplacersslogger;

public class LogRecord {

	private long ts;
	private double lng;
	private double lat;
	private String bssid;
	private int rss;

	public LogRecord(long ts, double lat, double lng, String bssid, int rss) {
		super();
		this.ts = ts;
		this.lng = lng;
		this.lat = lat;
		this.bssid = bssid;
		this.rss = rss;
	}
	
	public void setLon(double lon) {
		this.lng = lon;
	}
	
	public void setLat(double lat) {
		this.lat = lat;
	}

	public String toString() {
		String str = new String();
		str = String.valueOf(ts) + " " + String.valueOf(lat) + " "
				+ String.valueOf(lng) + " " + String.valueOf(bssid) + " "
				+ String.valueOf(rss) + "\n";
		return str;
	}

}
